<template>
    <div class="ban-cover bg-fake-white" ref="target0">
        <h2 class="text3 centered centered-txt" style="margin:0; padding: 10px">{{ isLang.home.banner2.title }}</h2>
        <div class="flex-cover" :class="{ 'saw': anime0, 'hidden-ctn': !anime0 }">
            <div class="part-flex centered">
                <div class="card-pro br5">
                    <h2 class="discour centered centered-txt" style="font-weight: 400">
                        {{ isLang.home.banner2.txt }}
                    </h2>
                </div>
            </div>
            <div class="part-flex2 centered ">
                <div class="thecadre">
                    <template  v-if="state.opt === 1">
                        <img v-lazy="'https://res.cloudinary.com/deccpjpzw/image/upload/v1655561082/midorya/mido/is_filming1_nlqcxv_clotli.webp'"
                         class="covered br10 ombre" :class="{'defade': state.opt === 1}">
                        <div class="bulle br10 txt-full-white" :class="{'defade': state.opt === 1}">
                        {{ isLang.home.banner2.des1 }}
                        </div>
                    </template>
                    <template  v-if="state.opt === 2">
                        <img v-lazy="'https://res.cloudinary.com/deccpjpzw/image/upload/v1655561091/midorya/mido/is_filming2_c2na2k_jhzw48.webp'"
                         class="covered br10 ombre" :class="{'defade': state.opt === 2}">
                        <div class="bulle br10 txt-full-white" :class="{'defade': state.opt === 2}">
                            {{ isLang.home.banner2.des2 }}
                        </div>
                    </template>
                    <template  v-if="state.opt === 3">
                        <img v-lazy="'https://res.cloudinary.com/deccpjpzw/image/upload/v1655561069/midorya/mido/is_editing_bfewn1_wvz9sn.webp'"
                         class="covered br10 ombre" :class="{'defade': state.opt === 3}">
                        <div class="bulle br10 txt-full-white" :class="{'defade': state.opt === 3}">
                        {{ isLang.home.banner2.des3 }}
                        </div>
                    </template>
                    <template  v-if="state.opt === 4">
                        <img v-lazy="'https://res.cloudinary.com/deccpjpzw/image/upload/v1655561099/midorya/mido/is_filming3_tn3fgt_tubv7b.webp'"
                         class="covered br10 ombre" :class="{'defade': state.opt === 4}">
                        <div class="bulle br10 txt-full-white" :class="{'defade': state.opt === 4}">
                        {{ isLang.home.banner2.des4 }}
                        </div>
                    </template>
                    <template  v-if="state.opt === 5">
                        <img v-lazy="'https://res.cloudinary.com/deccpjpzw/image/upload/v1655561114/midorya/mido/is_filming4_w71zkd_ea2wzb.webp'"
                         class="covered br10 ombre" :class="{'defade': state.opt === 5}">
                        <div class="bulle br10 txt-full-white" :class="{'defade': state.opt === 5}">
                        {{ isLang.home.banner2.des5 }}
                        </div>
                    </template>
                </div>
            </div>
        </div>
    </div>
</template>

<script setup lang="ts">
import { reactive, onMounted } from 'vue';
import useIo from '../useFiles/useIo';
import langStore from '../store/langStore';

const state = reactive({
    opt: 1
})
const { isLang } = langStore;
const { lookAndMove, target0, anime0 } = useIo();


function chooseNum(): number {
        const min = Math.ceil(1);
        const max = Math.floor(5);
        return Math.floor(Math.random() * (max - min +1)) + min;
    }

function changeImg(): void {
    setInterval(() => {
        state.opt = chooseNum();
    }, 7000)
}

onMounted(() => {
    lookAndMove(anime0, target0, 0.20);
    changeImg()
})

function changeOpt(val: number): void {
    state.opt = val;
}

</script>

<style scoped>

/*version mobile*/
.hov-txt:hover {
    color: var(--secondary-light);
    transition: color .6s;
}
img {
  width: 100%;
  height: 100%;
}
.ban-cover {
    margin: 0;
    padding-top: 30px;
    padding-bottom: 30px;
    width: 100%;
}
.flex-cover {
    margin: 0;
    width: 100%;
    display: flex;
    flex-wrap: wrap;
}
.part-flex {
    margin:0;
    width: 100%;
}
.part-flex2 {
    margin:0;
    width: 100%;
    height: 280px;
}
.card-pro {
    width: 90%;
    height: 90%;
}
.ombre {
    box-shadow: 3px 3px 8px #030303b7;
}
.discour {
    margin: 0;
    width: 100%;
    padding: 20px;
}
.cta-btn {
  padding-top: 14px;
  padding-bottom: 14px;
  padding-left: 20px;
  padding-right: 20px;
  min-height: 15px;
  width: 50%;
  cursor: pointer;
  font-weight: 700;
  border-radius: 5px;
}
.untities {
    margin: 0;
    width: 100%;
    display: flex;
    flex-wrap: wrap;
}
.untiti {
    margin: 0;
    width: 33.33%;
}
.thecadre {
    width: 90%;
    height: 90%;
    position: relative;
}
.bulle {
    position: absolute;
    left: 10px;
    right: 10px;
    bottom: 10px;
    padding: 10px;
    background: rgba(2, 2, 2, 0.801);
}
.bulle:hover {
    color: var(--full-white);
    background: var(--night);
    transition: background .6s, color .6s;
}
.text3 {
    font-size: 32px;
    font-weight: 500;
}

/*version bureau*/
@media (min-width: 1024px) {
    .part-flex {
    margin:0;
    width: 50%;
    height: 400px;
    }
    .part-flex2 {
    margin:0;
    width: 50%;
    height: 400px;
    }
    .discour {
    margin: 0;
    width: 100%;
    padding: 60px;
    }
    .text3 {
        font-size: 50px;
        font-weight: 500;
    }
}
</style>